# Network Lists

## Retrieve information about all Network Lists

> Retrieves a list of all Network Lists connected to your organization.\
> \
> The response includes Network List objects containing the name, associated Tags,\
> and a list of network objects with \`mcc\` (Mobile Country Code) and \`mnc\` (Mobile Network Code) values.

```json
{"openapi":"3.0.0","info":{"title":"Onomondo's API","version":"1.0.0"},"servers":[{"url":"https://api.onomondo.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/network-whitelists":{"get":{"summary":"Retrieve information about all Network Lists","description":"Retrieves a list of all Network Lists connected to your organization.\n\nThe response includes Network List objects containing the name, associated Tags,\nand a list of network objects with `mcc` (Mobile Country Code) and `mnc` (Mobile Network Code) values.","responses":{"200":{"description":"OK","content":{"application/json":{}}}}}}}}
```

## Retrieve a specific Network List

> Retrieves a specific Network List by named that is connected to the account.

```json
{"openapi":"3.0.0","info":{"title":"Onomondo's API","version":"1.0.0"},"servers":[{"url":"https://api.onomondo.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/network-whitelists/{network_whitelist_name}":{"get":{"summary":"Retrieve a specific Network List","description":"Retrieves a specific Network List by named that is connected to the account.","parameters":[{"name":"network_whitelist_name","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}}}}
```

## Add Network List

> Creates a new Network List connected to the account.\
> \
> Once the Network List is created, you can map SIMs to it by updating the desired SIMs.\
> \
> {% hint style="warning" %} Pricing of networks differ. Make sure you check pricing of networks in your ratecard or clarify with us at \<a href="mailto:<support@onomondo.com>"><support@onomondo.com>\</a> to avoid incurring unexpected costs related to networks. {% endhint %}

```json
{"openapi":"3.0.0","info":{"title":"Onomondo's API","version":"1.0.0"},"servers":[{"url":"https://api.onomondo.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/network-whitelists":{"post":{"summary":"Add Network List","description":"Creates a new Network List connected to the account.\n\nOnce the Network List is created, you can map SIMs to it by updating the desired SIMs.\n\n{% hint style=\"warning\" %} Pricing of networks differ. Make sure you check pricing of networks in your ratecard or clarify with us at <a href=\"mailto:support@onomondo.com\">support@onomondo.com</a> to avoid incurring unexpected costs related to networks. {% endhint %}","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"tags":{"type":"array","items":{"type":"string"},"description":"An array of Tag IDs to be associated with the Network List."},"networks":{"type":"array","items":{"type":"object"},"description":"An array of networks to be associated with a SIM."}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}}}}
```

## Update Network List

> Modify a specific Network List.\
> {% hint style="warning" %} Pricing of networks differ. Make sure you check pricing of networks in your ratecard or clarify with us at \<a href="mailto:<support@onomondo.com>"><support@onomondo.com>\</a> to avoid incurring unexpected costs related to networks. {% endhint %}

```json
{"openapi":"3.0.0","info":{"title":"Onomondo's API","version":"1.0.0"},"servers":[{"url":"https://api.onomondo.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/network-whitelists/{network_whitelist_name}":{"patch":{"summary":"Update Network List","description":"Modify a specific Network List.\n{% hint style=\"warning\" %} Pricing of networks differ. Make sure you check pricing of networks in your ratecard or clarify with us at <a href=\"mailto:support@onomondo.com\">support@onomondo.com</a> to avoid incurring unexpected costs related to networks. {% endhint %}","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"tags":{"type":"array","items":{"type":"string"},"description":"An array of Tag IDs to be associated with the Network List. **Caution**: Include all Tags you want to keep plus any new ones, as this replaces the entire list of Tags."},"networks":{"type":"array","items":{"type":"object"},"description":"An array of networks to be associated with a SIM. **Caution**: Include all networks you want to keep plus any new ones, as this replaces the entire list of networks."}}}}}},"parameters":[{"name":"network_whitelist_name","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}}}}
```

## Delete Network List

> Removes a specific Network List.\
> \
> Note that all mappings to said Network List will need to be removed prior to the removal of the Network List itself, otherwise a \`403\` status code will be encountered.

```json
{"openapi":"3.0.0","info":{"title":"Onomondo's API","version":"1.0.0"},"servers":[{"url":"https://api.onomondo.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/network-whitelists/{network_whitelist_name}":{"delete":{"summary":"Delete Network List","description":"Removes a specific Network List.\n\nNote that all mappings to said Network List will need to be removed prior to the removal of the Network List itself, otherwise a `403` status code will be encountered.","parameters":[{"name":"network_whitelist_name","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}},"403":{"description":"Network List still mapped to some SIMs","content":{"application/json":{"schema":{"type":"object"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onomondo.com/readme/network-whitelists.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
